#
# spec file for package xorg-x11-driver-video-radeonhd
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xorg-x11-driver-video-radeonhd
BuildRequires:  pciutils-devel
%if 0%{?fedora_version} >= 6
BuildRequires:  libdrm-devel mesa-libGL-devel xorg-x11-proto-devel xorg-x11-server-sdk
%if 0%{?fedora_version} < 7
BuildRequires:  pkgconfig
%endif
%endif
%if 0%{?mandriva_version} > 2006
BuildRequires:  libdrm-devel libmesagl1-devel libx11_6-devel x11-proto-devel x11-server-devel x11-util-macros
%endif
%if 0%{?suse_version}
BuildRequires:  Mesa-devel xorg-x11-sdk
%if 0%{?suse_version} < 1020
BuildRequires:  Mesa-devel xorg-x11-devel
%endif
%endif
Url:            http://wiki.x.org/wiki/radeonhd
License:        X11/MIT
%if 0%{?fedora_version} >= 6
Group:          System/X11/Servers/XF86_4
%else
Group:          System/X11/Servers/XF86_4
%endif
AutoReqProv:    on
%define vers	1.3.0
Version:        %{vers}_20100512_80ba041
Release:        1.3.12
Summary:        Driver for AMD GPG (ATI) r5xx/r6xx Chipsets
%if 0%{?suse_version}
Requires:       xorg-x11-server
Supplements:    xorg-x11-server
%endif
# ATOM BIOS is not endian clean
ExclusiveArch:  %ix86 x86_64 ppc ppc64 ia64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         /bin/rm /bin/cat
Source:         xf86-video-radeonhd-%{version}.tar.bz2
Patch1:         R6XX-disable-acceleration.patch

%description
radeonhd is the X.org X11 driver for AMD GPG (ATI) r5xx/r6xx chipsets.
Main development is driven by Novell, in close relationship to AMD
which provides free documentation for the chipsets.



Authors:
--------
    Luc Verhaegen
    Egbert Eich
    Matthias Hopf
    Advanced Micro Devices, Inc.

%prep
%setup -n xf86-video-radeonhd-%vers
%patch1 -p1

%build
%if 0%{?suse_version} > 1010 || 0%{?fedora_version} >= 6 || 0%{?mandriva_version} > 2006
autoreconf -fi
%configure CFLAGS="$RPM_OPT_FLAGS"
make
%else
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif
make -C utils/conntest
cp utils/conntest/README README_conntest

%install
%if 0%{?suse_version} > 1010 || 0%{?fedora_version} >= 6 || 0%{?mandriva_version} > 2006
make install DESTDIR=$RPM_BUILD_ROOT
rm -r utils/conntest/{.deps,.libs}
%else
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT
%endif
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 utils/conntest/rhd_conntest $RPM_BUILD_ROOT/usr/bin
%if 0%{?suse_version} > 1000
###
### generate SaX2/hwinfo data
###
mkdir -p $RPM_BUILD_ROOT/usr/share/sax/sysp/maps/update/ \
         $RPM_BUILD_ROOT/usr/share/sax/api/data/cdb/ \
         $RPM_BUILD_ROOT/var/lib/hardware/ids
> $RPM_BUILD_ROOT/usr/share/sax/sysp/maps/update/Identity.map.20.%name
> $RPM_BUILD_ROOT/usr/share/sax/api/data/cdb/Cards.20.%name
> $RPM_BUILD_ROOT/var/lib/hardware/ids/20.%name
if [ ! -r src/rhd_id.c ]; then
  echo "src/rhd_ic.c does not exist"
  exit 1
fi
###   supported devices are in PCI_ID_LIST (rhd_id.c)
###   Example: RHD_DEVICE_MATCH(  0x7100, RHD_R520  ), /* Radeon X1800 */
VID=0x1002
NAME=ATI
SERVER=radeonhd
PROFILE=
egrep -A1000 "^[ \t]*const[ \t]*PCI_ID_LIST[ \t]*=[ \t]*{" src/rhd_id.c | \
  grep "RHD_DEVICE_MATCH" | \
while read line; do
  DEVICE=$(echo "$line"|cut -d "*" -f 2|sed -e 's/ *$//' -e 's/^ *//')
  if [ "$(echo $DEVICE|sed -e 's/ //g')" == "" ]; then
     DEVICE=$(echo "$line"|cut -d "(" -f 2|cut -d "," -f 1|sed -e 's/ //g')
  fi 
  DID=$(echo "$line"|cut -d "," -f 1|cut -d "(" -f 2|sed 's/ //g')
  # enable DRI for RS690 (cyberorg), FireGL V5200 (bnc #434019),
  # Macbook Pro (ro)
  case "$DID" in
    0x791E|0x791F|0x71C4|0x71C5)
      OPTION="DRI"
      ;;
    *)
      OPTION=""
      ;;
  esac
  cat >> $RPM_BUILD_ROOT/usr/share/sax/sysp/maps/update/Identity.map.20.%name << EOF
NAME=${NAME}&DEVICE=${DEVICE}&VID=${VID}&DID=${DID}&SERVER=${SERVER}&EXT=&OPT=${OPTION}&RAW=&PROFILE=${PROFILE}&SCRIPT3D=&PACKAGE3D=&FLAG=DEFAULT
EOF
  cat >> $RPM_BUILD_ROOT/usr/share/sax/api/data/cdb/Cards.20.%name << EOF
${NAME}:${DEVICE} {
 Driver    = radeonhd
}
EOF
  cat >> $RPM_BUILD_ROOT/var/lib/hardware/ids/20.%name << EOF
 vendor.id              pci ${VID}
&device.id              pci ${DID}
+device.name            ${DEVICE}
+driver.xfree           4|${SERVER}
EOF
if [ "$OPTION" == "DRI" ]; then
  echo "+driver.xfree           4|${SERVER}|3d" >> $RPM_BUILD_ROOT/var/lib/hardware/ids/20.%name
fi
  echo >> $RPM_BUILD_ROOT/var/lib/hardware/ids/20.%name
done
%endif

%files
%defattr(-,root,root)
%doc COPYING README README_conntest
%if 0%{?suse_version} > 1000
%dir /usr/share/sax
%dir /usr/share/sax/api
%dir /usr/share/sax/api/data
%dir /usr/share/sax/api/data/cdb
%dir /usr/share/sax/sysp
%dir /usr/share/sax/sysp/maps
%dir /usr/share/sax/sysp/maps/update
%dir /var/lib/hardware
%dir /var/lib/hardware/ids
%endif
/usr/bin/rhd_conntest
%if 0%{?suse_version} > 1010 || 0%{?fedora_version} >= 6 || 0%{?mandriva_version} > 2006
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/*_drv.la
%{_libdir}/xorg/modules/drivers/*_drv.so
%{_mandir}/man4/*
%else
%dir /usr/X11R6/%{_lib}/modules
%dir /usr/X11R6/%{_lib}/modules/drivers
/usr/X11R6/%{_lib}/modules/drivers/*_drv.*
/usr/X11R6/man/man4/*
%endif
%if 0%{?suse_version} > 1000
/usr/share/sax/api/data/cdb/Cards.20.%{name}
/usr/share/sax/sysp/maps/update/Identity.map.20.%{name}
/var/lib/hardware/ids/20.%{name}
%endif
%if 0%{?suse_version} > 1000

%post
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0

%postun
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0
%endif

%changelog
* Wed Dec 15 2010 sndirsch@novell.com
- driver update (20100512_80ba041)
  * Load DRM module in probe() to check whether KMS is enabled.
  * Fix compilation in non-DRI case (invalid storage class errors).
  * Fix crash in R300CheckComposite() due to broken pSrcPicture.
  * Compilation fix on NetBSD (ACPI code)
  * Fix typo in "Fix crash in R300CheckComposite() due to broken
    pSrcPicture."
* Thu Apr  1 2010 mhopf@novell.com
- Enable build on ppc and ia64 again.
* Thu Mar 25 2010 mhopf@novell.com
- driver update (20100325_54ca963)
  * Load kernel drm module before KMS detection if not already loaded
* Thu Mar 25 2010 mhopf@novell.com
- driver update (20100325_54ca963)
  * Fix KMS detection
* Wed Feb 24 2010 sndirsch@suse.de
- update release (20100216_79a0ab2) for openSUSE 11.2 (bnc #582649)
* Tue Feb 16 2010 mhopf@novell.com
- driver update (20100216_79a0ab2)
  * Fix build on pre-libpciaccess
* Mon Feb 15 2010 sndirsch@suse.de
- driver update (20100119_17bbb4d)
  * conntest: Update PCI ID list.
  * Blacklist: Marking 0x9710, 0x1043, 0x83A2 hotplug unusable.
  * Fix build for w/o USE_DRI.
  * ATOM: add newer power table defs
  * HDMI audio support for RV710 and RV730.
  * Bugfixing and a bit cleanup
  * Fix incorrect LIST_END macro.
  * updated ObjectID.h
  * Update Sun license notices to current X.Org standard form
  * Probe: Only allow this driver when KMS is not present.
  * Configure: Only compile the KMS check code if xf86drmMode.h is
    actually present.
  * Probe: Move KMS test to rhd_dri.c.
  * Fix wrong mask value for fractional pll divider.
  * Add debugging to RHDCloseScreen.
  * ATOM: Upstream parser updates
* Tue Nov 24 2009 eich@suse.de
- build fixes.
* Tue Nov 24 2009 eich@suse.de
- Updated driver:
  * Fixed PM related issues:
  - better validation of voltage values in AtomBIOS.
  - fix endless loop reading AtomBIOS table which prevented the
    Xserver from starting.
* Wed Nov 18 2009 sndirsch@suse.de
- This xorg-x11-driver-video-radeonhd package update is part of the
  X stack update for SLE11-SP1 (FATE #307236)
* Fri Nov  6 2009 eich@suse.de
- Updated driver:
  * Fix 2D/3D engine lockups.
  * Fix I2C readout fail under certain conditions.
  * Disable DRI/Acceleration for R6XX and up until fix for lockups is found.
* Tue Oct 27 2009 eich@suse.de
- Update driver tarball to lastest GIT version:
  * Better load detection for DCE3.0 chipsets.
  * Fix backlight brightness readout thru AtomBIOS.
  * Fix GART type for RS880.
  * recalculate I2C clock when engine clock changes due to PM.
  * Integrate patch: Fix compilation on 10.3 (xf86_ansic.h).
* Mon Oct 12 2009 mhopf@novell.com
- Fix compilation on 10.3 (xf86_ansic.h).
* Fri Oct  9 2009 mhopf@novell.com
- Update to 1.3.0
  * Only few, but major bugfixes compared to git of 01.10.2009
  * Improve reliability of DDC and load detection.
  * Backlight issues fixed for good.
  * LUT fixes.
* Thu Oct  1 2009 mhopf@novell.com
- Update to git of 01.10.2009. Again, *almost* 1.2.6.
  * More bug fixes.
  * Disable EXA acceleration on RV740.
- Reverted AtomBIOS backlight controll from commit #de3f80b.
* Thu Sep 17 2009 mhopf@novell.com
- Add quirk table for Wyse R-Class.
* Mon Sep 14 2009 mhopf@novell.com
- Fix build on sle10-sp2 and 10.3-i586.
* Fri Sep 11 2009 mhopf@novell.com
- bug519261-increase-virtual.diff:
  * Increase virtual on startup if enough Gfx RAM is available.
* Tue Sep  1 2009 mhopf@novell.com
- Update to git of 01.09.2009. *Almost* 1.2.6.
  * MC updates.
  * Bug fixes.
  * Powermanagement detection improvements.
  * EXA is default now on r5xx-r7xx.
* Wed May 20 2009 sndirsch@suse.de
- modes-Fixup-broken-panel-modes-if-possible.patch
  * modes: Fixup broken panel modes if possible. Panels only, and
    if we can do so only. Otherwise we might have no chance of
    driving the panel at all. Inspired by commit 57a02b50c from
    the intel driver (bnc #472013)
* Wed May  6 2009 mhopf@suse.de
- Update to git of 06.05.2009
  * Cursor corruption fixes
  * Acceleration fixes
  * New PCI IDs
  * Early power management functionality
* Wed May  6 2009 sndirsch@suse.de
- use also 'Supplements: xorg-x11-server'
* Thu Apr 23 2009 mhopf@suse.de
- Fix (hopefully) cursor corruption (xorg #13405).
* Tue Apr 14 2009 mhopf@suse.de
- Make driver build on SLE10 again.
* Fri Apr 10 2009 sndirsch@suse.de
- Updated to Release 1.2.5
  * Added 2D acceleration for R6xx and R7xx.
  * Added XVideo support for R6xx and R7xx.
  * Added support for RS880 and RV790.
  * Added RandR 1.3 mandatory properties.
  * Refactoring of MC code.
  * Enable DRI support by default on R5xx and RS6xx.
  * LUT (color lookup table) fixes.
  * Tons of quirk table entries and bug fixes.
  * Fix register accesses for processors that reorder memory writes.
* Thu Jan 15 2009 sndirsch@suse.de
- Identity.map
  * use device id as device name if empty (bnc #465154)
  * remove blanks at the beginning and end of device name
* Fri Dec 12 2008 eich@suse.de
- Updated to Release 1.2.4.
  * R5xx XAA: pass correct size to xf86InitFBManager.
  * RandR: Improve heuristics to determine of an output is connected.
  * FB mapping: Restore original PCI MapSize if IGP memory mapping failed.
* Tue Dec  2 2008 eich@suse.de
- updated to current git version ed532a7 (2008-12-02)
  * added connector table overrides for X1300 and HD2400 cards.
* Thu Nov 27 2008 eich@suse.de
- update to current git version f29a3d2 (2008-11-01)
  * added support for screen rotation
  * AtomBIOS based backlight control
  * reinit DRI after server reset
* Sun Nov  9 2008 sndirsch@suse.de
- added missing 3d entry for hwinfo
- registered 71C4/71C5 devices to be 3D capable for real
* Thu Nov  6 2008 mhopf@suse.de
- fixed DRI build
- update to current git verision bb14c00 (2008-11-06)
  * Support for RV710 and RV730
* Sun Nov  2 2008 sndirsch@suse.de
- update to current git version f29a3d2 (2008-11-01)
  * DIG: Don't disable encoders which are assigned to active
    connectors.
  * DRI: Keep rhdDri struct for server lifetime.
  * MC: Consolidate rhdAllIdle() and RHDModePrepare().
  * Move MC setup before DRI init. Fixes issues DRI issues on some
    systems.
  * DIG: Add debug output to inform about probed encoder mappings.
  * Add config option for coherent settings on digital outputs.
  * Option: Add handling for option containing a string of boolean
    settings.
  * BIOSScratch: Treat DAC SENSED_NONE as CRTC output.
  * Option: Add handling for option containing a string of boolean
    settings.
* Wed Oct 29 2008 sndirsch@suse.de
- update to current git version a36896d (2008-10-28)
  * gitignore: Add some distcheck files.
  * autoconf: Add glproto as a dependency for DRI.
  * [PATCH] Link with -lpciaccess and -ldrm as needed
  * Autoconf: Fix build on Ubuntu Feisty Fawn.
  * HDMI: Add HDMI support.
  * Reorder source file list alphabetically
  * Autoconf: Fix RandR12 changes.
  * Imake: Fix build for xvideo and hdmi audio.
  * Fix README update on FreeBSD (sed substitution)
  * Manpage: Add Christian Koenig to the list of authors.
  * Update README and man page only if sed is OK
  * ID: Add PCI ID 0x95C6.
  * DCE3.0: Properly map DCE3.0 DIG encoders.
  * EXA: Move inlcusion of exa.h before xf86_ansic.h.
  * AtomBIOS/Output: consolidated handling on UNIPHYA and UNIPHYB.
* Mon Oct 20 2008 sndirsch@suse.de
- enabled DRI for Macbook Pro (ro)
* Mon Oct 20 2008 sndirsch@suse.de
- update to current git version efaebb7 (2008-10-20)
  * Add Alex to authors list in radeon manpage.
  * Add HDPSWAP for Gigabyte GV-RX16P256DE-RH.
  * Xv: Fix build for big endian. Trivial replacement of
    pScrn -> rhdPtr in R5xxXvCopyPlanar when setting SURFACE
    control for big endian.
  * AtomBIOS: Make deviceID override table actually work. This
    fixes problems on MAC Books which are the only user of such a
    table. Spotted by Rudi Oertel.
  * CS: Remove Mask member. By treating all buffers as finite and
    not as wrappable ring-buffers, we save quite a bit of CPU usage
    in the DRM CP case.
  * R5xx3D: Disable XHas3DEngineState upon VT switch. This
    reinitialises the 3d engine when needed after a VT switch.
  * Cleanup SEGV_ON_ASSERT in HAVE_XF86_ANSIC_H case.
* Mon Oct 13 2008 sndirsch@suse.de
- 1.2.3 Release
  * Added Command Submission infrastructure.
* Mon Oct 13 2008 sndirsch@suse.de
- 1.2.2 Release
  * Added DRI support (R5xx and RS6xx).
  * Added support for RV770, RS780, M82, M86, and M88.
  * Added XVideo support.
  * Added CP based 2D acceleration (R5xx and RS6xx).
  * Added EXA render acceleration (R5xx and RS6xx).
  * Added support for AtomBIOS based mode setting.
  * Added support for scaled modes.
  * Added RandR support for backlight control.
  * Lots of modesetting related bug fixes.
- obsoletes hpd_off.diff
* Sat Oct 11 2008 sndirsch@suse.de
- hpd_off.diff
  * Set HPD off option by default for 0x1002:0x71CE:0x18BC:0x2770
    device (bnc #396224)
* Fri Oct 10 2008 sndirsch@suse.de
- enable DRI for FireGL V5200 (bnc #434019)
* Sat Oct  4 2008 sndirsch@suse.de
- update to current git version 299a6c8 (2008-09-25)
  * git_version.sh: Debug failure to find .git/ dir
    There appear to be some systems and cases when we do not find
    the .git/ dir belonging to the source tree, and thus fail to
    determine the git version for git_version.h.
    This adds a few internal variables to git_version.h as
    C comments. (Hans Ulrich Niedermann)
  * atombios.h and ObjectId.h updates from upstream (Alex Deucher)
* Tue Sep 30 2008 sndirsch@suse.de
- use 'Option "DRI"' on RS690 to enable 3D support on these
  chipsets
* Wed Sep 24 2008 sndirsch@suse.de
- update to current git version 72feab0 (2008-09-22)
- build only on %%ix86/x86_64 (ATOM BIOS is not endian clean)
* Thu Sep 11 2008 sndirsch@suse.de
- update to current git version f1c6cc8 (2008-09-11)
* Mon Jul 21 2008 sndirsch@suse.de
- udpate to current git version fdf5014
* Sat Jul 19 2008 sndirsch@suse.de
- udpate to current git version 603a35a
* Sun Jul 13 2008 sndirsch@suse.de
- udpate to current git version 8326ff4
* Fri Jul  4 2008 sndirsch@suse.de
- udpate to current git version c2139d8
* Tue Jun 17 2008 sndirsch@suse.de
- update to current git version c6e7550
* Wed Jun  4 2008 sndirsch@suse.de
- update to current git version 26ccf11
* Tue May 27 2008 sndirsch@suse.de
- commit-fcb4fef.diff
  * PLL: On M54 do not re-enable Spread Spectrum. This fixes the
    flickering panel on a 1400x1050 t60, and is likely also the
    cause of the cycling colours reported on other M54s. (bnc #381946)
* Thu May 22 2008 sndirsch@suse.de
- update to current git version 566ba69 (bnc #381946)
* Wed May 21 2008 sndirsch@suse.de
- update to current git version d3a6e2c (bnc #390868)
* Tue May 20 2008 sndirsch@suse.de
- update to current git version 95665fa
* Tue Apr 15 2008 sndirsch@suse.de
- added missing 'Driver' entry to Cards file
* Mon Apr 14 2008 sndirsch@suse.de
- 'Buildfix' 1.2.1 Release
* Fri Apr 11 2008 sndirsch@suse.de
- SUBVENDOR/SUBDEVICE in Identity.map must not be empty
  (bnc #372874)
* Fri Apr 11 2008 sndirsch@suse.de
- assert.diff
  * Fix broken assert() in rhd_id.c. Use ASSERT() instead of
    assert() everywhere.
* Thu Apr 10 2008 sndirsch@suse.de
- 'RV620/635' 1.2.0 Release
  * Added support for RV620, RV635, and R680.
  * Added 2D acceleration for R5xx (including RS6xx), both XAA and EXA.
  * Added support for DDIA block (second digital output) on RS690.
  * Added support for interlaced modes
  * Added additional layers for splitting outputs into encoders and
    transmitters as needed for new hardware.
  * Added support for DragonFly BSD.
  * Improved RandR corner cases.
  * Improved handling of secondary cards.
  * Implemented foundation work for future TV support.
  * Huge number of bugfixes and minor updates.
* Thu Mar 27 2008 sndirsch@suse.de
- updated to current git version 1623f86
* Thu Mar 20 2008 sndirsch@suse.de
- updated to current git version 96f3633, which fixes driver for
  imake based builds like it's used for SLES10
* Thu Mar 13 2008 sndirsch@suse.de
- updated to current git version 00f182d, which includes support
  for RV620/635
* Tue Mar 11 2008 sndirsch@suse.de
- updated to current git version 8c6d1b4
* Tue Jan 15 2008 sndirsch@suse.de
- define priority (20) for SaX2/hwinfo meta files (Bug #353865)
- fixed content of /var/lib/hardware/hd.ids
* Fri Dec 21 2007 sndirsch@suse.de
- 'Holiday Release' 1.1.0 with the following improvements:
  * Added Support for RS600, preliminary RV670.
  * Allows panning in RandR mode.
  * Preliminary (read: untested) support for HDMI connectors.
  * Now builds against the latest upstream X.Org code in git.
  * Lots of bugfixes, e.g.
  - Better monitor detection.
  - Gamma + palette fixes.
  - Mode stability + textmode restore.
  - RandR mode selection fixes.
* Fri Nov 30 2007 mhopf@suse.de
- Make package autobuild-compatible:
  * Nuke conntest binary in %%doc
  * Only install README of conntest (as README_conntest).
- Nuke -fno-strict-aliasing. This driver is working fine with aliasing.
* Fri Nov 30 2007 sndirsch@suse.de
- update to release 1.0.0
  * Full modesetting driver, capable of driving multiple monitors.
  * Support for VGA, DVI, DMS-59, and laptop panels.
  * Support for monitor hotplug detection, DDC, and dynamic
    reconfiguration.
  * Full RandR 1.2 compatibility.
  * AtomBIOS support for initialization, data tables, etc.
  * Early RandR 1.3 property support (subject to change).
  * Hardware cursor support.
  * No 2D & 3D acceleration, no XVideo yet. No TV, Component, and
    HDMI yet.
* Thu Nov 29 2007 sndirsch@suse.de
- commit 8b1b8bf
- create SaX2/hwinfo metadata for all support GPUs, not any longer
  only for the cards marked with connector output in rhdCards[]
* Wed Nov 28 2007 sndirsch@suse.de
- commit da4783c
* Sat Nov 24 2007 sndirsch@suse.de
- version 0.0.4, commit ce2607d
  * LVDS support for devices >= RS690 (M72, M74, M76 or RS690)
  * improved RandR support
  * simplified connector naming scheme
  * large number of bug fixes
* Fri Nov 23 2007 sndirsch@suse.de
- commit 75a6d7f
* Fri Nov 23 2007 sndirsch@suse.de
- commit 23ad1ec
* Fri Nov 23 2007 sndirsch@suse.de
- commit f5ffe41 (fixes build on SUSE < 10.2 and Mandriva 2007)
* Thu Nov 22 2007 sndirsch@suse.de
- commit 5a9dd7f
- obsoletes xorg69.diff
- git no longer required for building
* Wed Nov 21 2007 sndirsch@suse.de
- fixed build for SLES10
- specfile cleanup
* Wed Nov 21 2007 sndirsch@suse.de
- version to 0.0.3
- commit 6419ace
* Tue Nov 20 2007 sndirsch@suse.de
- commit 3c72415
* Tue Nov 20 2007 sndirsch@suse.de
- commit ad599c4
* Thu Nov  8 2007 sndirsch@suse.de
- commit e9c24f6
* Thu Nov  1 2007 sndirsch@suse.de
- corrected version to 0.0.2
- commit ad599c4
* Tue Oct 30 2007 sndirsch@suse.de
- coommit 972e21bb48771050cbf35a8ef9c36a13fff27d68
* Thu Oct 25 2007 sndirsch@suse.de
- commit efc5981b135294a546e794d260dff242287ec71b
* Thu Oct 25 2007 sndirsch@suse.de
- commit df398db5262e4c9c4f0680894802368945725763
* Sat Oct 20 2007 sndirsch@suse.de
- commit 3579bdddd95dc6f129e57bcf05cbd8b9b375940f
* Wed Oct 17 2007 sndirsch@suse.de
- commit d03841b4950b3b827b3c42507e01767d0569391f
* Thu Oct 11 2007 sndirsch@suse.de
- commit 6e570638e1772df97d8c8b22a82e7890dd47f1e9
* Sun Oct  7 2007 sndirsch@suse.de
- commit cf12f1a41319b09c6dfc88ac59717bc92e01a0f1
* Sat Oct  6 2007 sndirsch@suse.de
- commit 01b6a56fb46fee28c2e058b5183d3f71dd4be974
* Wed Oct  3 2007 sndirsch@suse.de
- commit c344ef1062f924892795bb51d9f55cc131b598bf
- no longer need to specify the include path in CDEBUGFLAGS
* Mon Oct  1 2007 sndirsch@suse.de
- commit 77c7f3f06aebde6d715fbdfc0da2dbb9e7e52279
* Fri Sep 28 2007 sndirsch@suse.de
- commit b0587971765d45c8832768f468f3a5219af19418
* Thu Sep 27 2007 sndirsch@suse.de
- commit 2f6f2cbc0860fed45bdbd2b0aff5d4b66a24aedc
* Wed Sep 26 2007 sndirsch@suse.de
- commit 9595c78ea9aa7a76771b242ee7ce10b75455e041
* Wed Sep 26 2007 sndirsch@suse.de
- commit 3fb794a2a5b6981a8cb17198ab06f1077b286c4c
  * obsoletes Imakefile/Imakefile.src/suse10_0.diff
- specfile cleanup
* Sat Sep 22 2007 sndirsch@suse.de
- commit 3fb794a2a5b6981a8cb17198ab06f1077b286c4c
  * obsoletes defines.diff
* Fri Sep 21 2007 sndirsch@suse.de
- commit ff6439181657f10f0b20255c2454d7fbf961610c
* Thu Sep 20 2007 sndirsch@suse.de
- commit 30f4bfb718a934f84a27992a9f4eb5393f7f6cbe
  * obsoletes 3944252b9f67bf7d5787473c979f1b933bfb37d2.diff
  * obsoletes 9ffef0fb88318a12025fbcb90bb654cf5fb902ae.diff
  * obsoletes b236fde3bed281d238860cbe11bd22092d2555f7.diff
* Wed Sep 19 2007 sndirsch@suse.de
- b236fde3bed281d238860cbe11bd22092d2555f7.diff
  * IDs: Add "Lenovo Thinkpad T60 (2007)"
  * Remove experimental checking. We depend on card specific
    connector data later on anyway.
  * Add conntest utility.
- removed 'Requires: xorg-x11-server' for non-SUSE distributions
* Wed Sep 19 2007 sndirsch@suse.de
- added missing NoModelines SaX2 profile for openSUSE < 10.3
* Tue Sep 18 2007 sndirsch@suse.de
- 9ffef0fb88318a12025fbcb90bb654cf5fb902ae.diff:
  * Fixed spelling typo: no inclusion of int10 when AtomBIOS
    parser present. (Kyle McMartin)
  * Replaced the MAILINGLIST placeholder by actual ML address.
    The printing of the bug report message has been moved to a
    separate function as it may be needed in more places.
    Also a pointer to the bugzilla has been added. (Egbert Eich)
* Tue Sep 18 2007 sndirsch@suse.de
- fixed imake based build ("-DATOM_BIOS" was missing) for SLES10,
  SL 10.1 and SL 10.0
* Tue Sep 18 2007 sndirsch@suse.de
- use different Group for Fedora
- added workaround for T60p (patch is disabled)
* Tue Sep 18 2007 sndirsch@suse.de
- 3944252b9f67bf7d5787473c979f1b933bfb37d2.diff:
  Author: Luc Verhaegen <libv@skynet.be>
  Date:   Tue Sep 18 02:44:07 2007 +0200
  Add H/VDisplay entries to the LVDS entry of the card table.
  Plus alter handling of panel monitor in layout selection.
  Also fix the DDC channel for the panel of the Lenovo T60p.
- card's subvendor/subdevice IDs needs to match for SaX2 now
* Tue Sep 18 2007 sndirsch@suse.de
- created package
